Screensaver starts while playing a Video with Kaffeine (missing build-dependency on libxtst-dev)

Bug #365770 reported by Felix Haller on 2009-04-23
118
This bug affects 16 people
Affects Status Importance Assigned to Milestone
Kaffeine
Invalid
Medium
gnome-screensaver (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
kaffeine (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned

Bug Description

Binary package hint: kaffeine

TEST CASE:
Start Kaffeine in Ubuntu Jaunty. Watch a video or TV. See that the screensaver kicks in. (Or not if this is fixed.)

Identified problem: libxtst-dev was not installed into the build chroot due to a missing comma in the build-depends line.

Resolution for Karmic: Needs testing if it was fixed by the move to version 1.0 for KDE4.

Resolution for Jaunty: Fix build-dependency line. This is confirmed to be a regression over Intrepid. The regression potential of the added build-dependency is low.

Jakub Kamecki (puchat3k) wrote :

the same thing happens to me. the strange thing is that it worked fine in 9.04 beta and RC.

Scott Lanham (scott-mail) wrote :

Also happens with my 9.04 64bit setup.

phizzog (mishgosh) wrote :

Ditto for me on i386 (core 2 quad) Jaunty 9.04 final. Double ditto in that Intrepid, which I have just upgraded from, didn't do this.

Shaun Crampton (fasaxc) wrote :

Same problem for me as well on i386. Also a regression from Intrepid.

krader (apictor) wrote :

I have the same issue. I use Ubuntu 9.04 i386 32bits, and I have never had this problem with previous ubuntu versions

Georges Dubus (madjar) wrote :

I'm not sure it's relevant, but it seems that vlc doesn't prevent the screensaver from launching either (although I'm not sure it's suposed to)

Mathieu Gauthier (oustedaisse) wrote :

Same issue since Jaunty (not in Intrepid).

Still also present in Totem...

Patrick Coutu (patrick-coutu) wrote :

Same thing here... Kubuntu 9.04
This is a very annoying issue... thanks for the fix, still can't find one since May 1st...

Luis Palacios (luispd) wrote :

I am experiencing the same issue described here since I upgraded to Jaunty (not in Intrepid).

I am using Kubuntu 9.04 and the Kaffeine installed version is 0.8.7-1ubuntu5.

I have also realised that DPMS power saving options are also not disabled while playing a video (that means, monitor will stand-by as if no action was going on when watching video). This was also working fine on Intrepid before upgrading.

Finally, I have the same issue if the video playback is done using Mplayer or Xine.

I can provide other necessary info (logs, traces) if requested to me.

Felix Haller (felixhaller) wrote :

Hi,

I forget: My Grafics Card is a Nvidia GeForce 8800GS runing with the original NVidia Driver from EnvyNG.

Is there anybody who has the same problem with an ATI, Intel or other vendors Grafics card?

oZiRiz

Luis Palacios (luispd) wrote :

Hi,

I also forgot to mention I am using 64bit version of Kubuntu 9.04.

My video card is also Nvidia (GeForce 7300) and I am using 'nvidia' driver; this is my xorg.conf, just in case:

------------------------------------
Section "Files"
EndSection

Section "Device"
        Identifier "nVidia Corporation G72 [GeForce 7300 LE]"
        Driver "nvidia"
        Busid "PCI:1:0:0"
        Option "AddARGBVisuals" "True"
        Option "AddARGBGLXVisuals" "True"
        Option "NoLogo" "True"
EndSection

Section "Monitor"
        Identifier "Generic Monitor"
        Option "DPMS"
        Horizsync 30-70
        Vertrefresh 50-160
EndSection

Section "Screen"
        Identifier "Default Screen"
        Device "nVidia Corporation G72 [GeForce 7300 LE]"
        Monitor "Generic Monitor"
        Defaultdepth 24
EndSection

Section "ServerLayout"
        Identifier "Default Layout"
  screen "Default Screen"
EndSection

Section "Module"
        Load "glx"
EndSection
--------------------------------------------

gomerbarkley (mcgrathj1) wrote :

Ditto. No problems before upgrading to Jaunty. Nvidia GeForce 8600 card. Thanks!

Georges Dubus (madjar) wrote :

This doesn't seems to happen with dragon player. Can someone else confirm ?

Yes the other Players i tried (VLC, Totem, ...) do it fine.

It's only with the Kaffeine Player.

-----Ursprüngliche Nachricht-----
Von: <email address hidden> [mailto:<email address hidden>] Im Auftrag von Georges Dubus
Gesendet: Freitag, 15. Mai 2009 09:49
An: <email address hidden>
Betreff: [Bug 365770] Re: Screensaver starts while playing a Video with Kaffeine

This doesn't seems to happen with dragon player. Can someone else
confirm ?

--
Screensaver starts while playing a Video with Kaffeine
https://bugs.launchpad.net/bugs/365770
You received this bug notification because you are a direct subscriber
of the bug.

Status in “kaffeine” source package in Ubuntu: New

Bug description:
Binary package hint: kaffeine

My Screensaver starts, when I watch a movie with Kaffeine in Ubuntu 9.04 64bit. I tried in fullscreen and windowed mode. it doesn't matter. It's new in Jaunty. In Intrepid (on yesterday) the screensaver doesn't start.

Kernel:
Linux punica 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux

kaffeine:
  Installiert: 0.8.7-1ubuntu5
  Kandidat: 0.8.7-1ubuntu5
  Versions-Tabelle:
 *** 0.8.7-1ubuntu5 0
        500 http://de.archive.ubuntu.com jaunty/universe Packages
        100 /var/lib/dpkg/status

Same here, with gnome-screensaver. kaffeine should inhibit the screensaver when playing video. And it's definitly a regression.

Philipp Kern (pkern) wrote :

On the other hand, when diffing intrepid's 0.8.6-2ubuntu2 and jaunty's 0.8.7-1ubuntu5 with debdiff and `filterdiff -x "*/Makefile.in" -x "*/configure" -x "*/aclocal.m4" -x "*/src/input/dvb/*"' I can't see what caused this regression. So it may be somewhere else in the stack.

noamik (spam-noamik) wrote :

Same issue here with Kubuntu 9.04 64Bit running XFCE4 and kaffeine, does not happen with vlc ...

Gobnuts (gobnuts) wrote :

Happens to me as well. In Intrepid everything was fine, Jaunty has this annoying behaviour.
I am experiencing this on two machines, on with an Ati and one with a nVidia graphics card.

I am thinking, it might have something to do with Power Devil, which was newly introduced and replaced kde-guidance-powermanager.
The problem is, that I can't tell PowerDevil to make an exception for Kaffeine, as guidance used to.

Changed in kaffeine (Ubuntu):
status: New → Confirmed
sergiom99 (sergiom99) wrote :

Same here. AMD Turion 64X2. Nvidia 7150. Kubuntu JJ.
worked fine in Hardy.
Could it be related to this old BUG: https://bugs.launchpad.net/ubuntu/+source/kaffeine/+bug/30018

Gobnuts (gobnuts) wrote :

After some testing with powerdevil turned off completely the screensaver still keeps cutting in, so my earlier assumption that it might be powerdevil is wrong.

nVidia Corporation G72 [GeForce 7300 LE] (rev a1)
and
ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]

kaffeine 0.8.7-1ubuntu5 (KDE 3.5.10)
Qt: 3.3.8b
KDE: 3.5.10
Kaffeine Player: 0.8.7

on Kubuntu Jaunty
Qt: 4.5.1
KDE: 4.2.3 (KDE 4.2.3)

Peter Wagner (o-petris) wrote :

Hello,

the same problem, first use of newly installed kaffeine in jaunty i386 system, nVidia, GeForce4 MX 440.

I've tried a little script to work around:

gconftool-2 --type boolean -s /apps/gnome-screensaver/idle_activation_enabled false
kaffeine %U
gconftool-2 --type boolean -s /apps/gnome-screensaver/idle_activation_enabled true

but it still failed.
Peter Wagner

Gobnuts (gobnuts) wrote :

I did some more testing. The Screensaver also kicks in if I use Gwenview's slideshow feature.
However, it does _not_ start if I use Okular in fullscreen (presentation) mode.
I hope this helps.

Cheers.

Changed in kaffeine:
status: Unknown → New

I can't replicate this problem, but I have occasional access to a computer that can. I think somehow two instances of gnome-screensaver are being run at once.

I've attached a script that attempts to work around the problem, and collects some debugging data at the same time. Could people try running the attached script for a day or two, then attaching /tmp/screensaver-bugs.txt to a comment in this bug report?

/tmp/screensaver-bugs.txt reports the current time, reports any running instances of gnome-screensaver, kaffeine and gwenview, and reports the login time (i.e. the modification time of the .Xauthority file). Presumably gnome-screensaver is either being run when you log in or when Kaffeine/Gwenview starts.

Johan Larsson (seven-naugas) wrote :

I'm using gnome and mplayer, and after upgrading to ubuntu 9.04, the screensaver starts when watching video. It didn't do that before the upgrade. Is it really only people using kde that have commented here before me? It would be a little strange that I'm the first gnome user reporting about this screensaver problem, it should have been noticed before I think?

Roland Hieber (rohieb) wrote :

No, I'm actually using GNOME too. Funny, I was thinking that the problem could be because I'm not running KDE :-)

Same here.

ps aux |grep screensaver

only shows one instance on the screensaver. I use two display (one for LCD and one for TVOUT).

Yeah, cancel my previous theory (two instances of the screensaver running at once). I've just had access to the computer again - the bug is still there and there's no sign of any second instance. It is possible to stop the screensaver by killing gnome-screensaver while Kaffeine runs, so I'm marking this a gnome-screensaver issue too.

On Fri, Jun 12, 2009 at 06:39:17AM -0000, Andrew Sayers wrote:
> Yeah, cancel my previous theory (two instances of the screensaver
> running at once). I've just had access to the computer again - the bug
> is still there and there's no sign of any second instance. It is
> possible to stop the screensaver by killing gnome-screensaver while
> Kaffeine runs, so I'm marking this a gnome-screensaver issue too.

Well, gnome-screensaver inhibition (through gnome-screensaver-command -i)
works as expected, so the odds are more likely in kaffeine's field.

Ciao,
Philipp Kern

I noticed there may be some bad interaction between gnome-screensaver and power managment. Indeed, my problem is that the screen turns off, rather than the screensaver starting. Disabling turn-off feature in power management seems to solve the issue. Maybe disabling the screensaver should disable turn-off feature too (and thus is a gnome bug)?

Regards

On Fri, Jun 12, 2009 at 08:37:32AM -0000, alfredio wrote:
> I noticed there may be some bad interaction between gnome-screensaver
> and power managment. Indeed, my problem is that the screen turns off,
> rather than the screensaver starting. Disabling turn-off feature in
> power management seems to solve the issue. Maybe disabling the
> screensaver should disable turn-off feature too (and thus is a gnome
> bug)?

Hm, does inhibit (gnome-screensaver-command -i) also deactivate this
turn off feature? It's true that it only blanks the screen and not
lock it. Still it seems that the right hooks aren't called as it
works with vlc & co. just fine

Ciao,
Philipp Kern

Philipp Kern (pkern) wrote :

On Fri, Jun 12, 2009 at 08:37:32AM -0000, alfredio wrote:
> I noticed there may be some bad interaction between gnome-screensaver
> and power managment. Indeed, my problem is that the screen turns off,
> rather than the screensaver starting. Disabling turn-off feature in
> power management seems to solve the issue. Maybe disabling the
> screensaver should disable turn-off feature too (and thus is a gnome
> bug)?

Hm, does inhibit (gnome-screensaver-command -i) also deactivate this
turn off feature? It's true that it only blanks the screen and not
lock it. Still it seems that the right hooks aren't called as it
works with vlc & co. just fine

Ciao,
Philipp Kern

> Well, gnome-screensaver inhibition (through gnome-screensaver-command -i)
> works as expected, so the odds are more likely in kaffeine's field.

Hmm, interesting. I had a quick poke around in the source for Kaffeine and Gwenview, which shows:

1) Gwenview uses completely different methods to disable the screensaver. Gobnuts, could you check whether Gwenview triggers the screensaver when the screensaver is disabled? If not, this is probably an unrelated bug, which should be filed against Gwenview

2) I also can't see any changes to the way Kaffeine handles the screensaver between 0.8.6 (in Intrepid) and 0.8.7 (in Jaunty).
   Search (case-insensitively) for 'xtest' in 'kaffeine/src/kaffeine.cpp' to see the screensaver-related bits

3) I can't work out how to get any better debugging information out of Kaffeine without recompiling it

4) If someone can work out how to make Kaffeine print kdDebug messages (perhaps with kdebugdialog?), or is willing to do some experimental recompilation, there are some possible causes we could investigate

5) Even if Kaffeine is the direct cause, it's not doing anything that should break Peter's gconftool-2 workaround, so I still think the gnome-screensaver guys should look into this

phizzog (mishgosh) wrote :

I'm running Kubuntu 9.04. I don't have gnome installed, I may have some libraries, but no gnome-screensaver. Nothing else seems to start up in parallel with kaffeine.

I did have the KDE screensaver kicking in, until I disabled it, but this doesn't stop the monitor from switching off in the middle of watching something.

My guess is that either an application is expected to disable the screensaver (which in turn is meant to disable the energy saving screen blanking), or it is meant to do both itself. If nothing has changed with Kaffeine, then perhaps the behaviour of X has changed? The way that an app is meant to notify X it is a video player, playing a video, may have changed- either a new method introduced, or an older method or quirk has been removed- that might explain why other video players are fine?

Seems I can replicate this after all, and it's a build dependency issue: a missing comma in debian/control caused libvorbis-dev and libxtst-dev not to be installed.

Philipp Kern (pkern) wrote :
description: updated
summary: - Screensaver starts while playing a Video with Kaffeine
+ Screensaver starts while playing a Video with Kaffeine (missing build-
+ dependency on libxtst-dev)
Changed in kaffeine (Ubuntu Jaunty):
status: New → Triaged
Changed in kaffeine (Ubuntu Karmic):
status: Confirmed → New
Changed in gnome-screensaver (Ubuntu Karmic):
status: New → Invalid
Changed in gnome-screensaver (Ubuntu Jaunty):
status: New → Invalid
Philipp Kern (pkern) wrote :

MOTU SRU?

Philipp Kern (pkern) wrote :

The packages on https://edge.launchpad.net/%7Epkern/+archive/ppa/+sourcepub/652996/+listing-archive-extra should fix the issue. Testing would be appreciated. (It looks that it still activates the screensaver on kaffeine pause.)

Mathieu Gauthier (oustedaisse) wrote :

Humm, seems to work fine for me, no more screensaver during DVB-T playing with your package :)
Thanks :)

Changed in kaffeine:
status: New → Invalid
Shaun Crampton (fasaxc) wrote :

Test package works for me.

Jonathan Thomas (echidnaman) wrote :

The fix is non-applicable to karmic. (New packaging entirely since the app moved to KDE4)

Changed in kaffeine (Ubuntu Karmic):
status: New → Invalid
Gobnuts (gobnuts) wrote :

@ Philipp: Your updated package fixed this for me, too.

Sorry for the long delay.

John Dong (jdong) wrote :

+kaffeine (0.8.7-1ubuntu6) jaunty; urgency=low

NACK; version number should preferably by 1ubuntu5.1, target should be jaunty-updates.

John Dong (jdong) wrote :

Whoops, I meant jaunty-proposed above.

Dirk Schedler (schedler-sscs) wrote :

This bug affects me too.
Although I noticed this behaviour first with the update to 9.10.
In 9.04 I didn´t noticed this bug. On my system it affects the VNC Player, Kaffeine, Dragon Player and Totem Player. So I suppose it would affect any player you will install. Power Management is disabled on my system so I can´t test this.

John Dong (jdong) wrote :

MOTU-SRU is waiting on a properly formatted debdiff (see comment #42/43). Please resubscribe motu-sru once this is available.

Thanks.

John Dong (jdong) wrote :

As pointed out in IRC, a re-ack from motu-sru for the minor changes above is pedantic; Consider this an ACK from motu-sru to continue with uploading a correctly versioned and targeted package.

Accepted kaffeine into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in kaffeine (Ubuntu Jaunty):
status: Triaged → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Anyone who can test the proposed package? If not, the proposed update will be removed again. Thanks!

Fix confirmed. After installing the version from jaunty-proposed, the screensaver will no longer start, while kaffeine is playing (when it stops playing, the screensaver will then start after the desired time).

Martin Pitt (pitti) on 2010-06-13
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kaffeine - 0.8.7-1ubuntu5.1

---------------
kaffeine (0.8.7-1ubuntu5.1) jaunty-proposed; urgency=low

  * Add a comma between libvorbis-dev and libxtst-dev to get the latter
    installed into the build chroot, thanks to Andrew Sayers. (LP: #365770)
 -- Philipp Kern <email address hidden> Sat, 13 Jun 2009 10:25:01 +0200

Changed in kaffeine (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Changed in kaffeine:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.